/* Compal Laptop Control
 * Author: Krzemin <pkrzemin@o2.pl>
 * WWW: http://krzemin.iglu.cz
 * This software is distributed under the GNU General Public License.
 */

#ifndef __COMPAL__H__
#define __COMPAL__H__

#include <QString>
#include <QFile>
#include <QFileInfo>
#include <QTextStream>
#include <QObject>

class CompalLaptop
{
	public:
		
		bool init();
		
		bool isBtAvailable();
		bool isWifiAvailable();
		bool isLcdAvailable();
		bool isBatteryCLAvailable();
		
		int btStatus();
		int wifiStatus();
		int lcdStatus();
		int lcdMax();
		int batteryCLStatus();
		
		void setBtStatus(bool on);
		void setWifiStatus(bool on);
		void setLcdStatus(int status);
		void setBatteryCLStatus(int status);
		
		QString getBtFile()
		{
			return btFile;
		}
		
		QString getWifiFile()
		{
			return wifiFile;
		}
		
		QString getLcdFile()
		{
			return lcdCurrentFile;
		}
		
		QString getBatteryCLFile()
		{
			return batteryCLFile;
		}
		
		QString lastError()
		{
			return error;
		}
		
	private:
		
		QString error;
		QString btFile, wifiFile, lcdMaxFile, lcdCurrentFile, lcdSetFile, batteryCLFile;
		
		int readFromFile(const QString & file);
		void writeToFile(const QString & file, int value);
		
};

#endif
