/* Compal Laptop Control
 * Author: Krzemin <pkrzemin@o2.pl>
 * WWW: http://krzemin.iglu.cz
 * This software is distributed under the GNU General Public License.
 */

#ifndef __FRMCOMPAL__H__
#define __FRMCOMPAL__H__

#include "ui_frmcompal.h"
#include "compal.h"
#include "frmabout.h"
#include "qclcconfig.h"
#include <QtGui>

class frmCompal: public QWidget
{
Q_OBJECT
	public:
		frmCompal(QWidget *parent = 0, Qt::WFlags f = 0);
		~frmCompal();
		
		bool initCompal();
		void createTrayIcon();
		bool properlyInited(){ return inited; }
		
	public slots:
		
		void setToolTip(const QString & tip);
		void updateUiStatus();
		void cbBluetoothToggled(bool checked);
		void cbWifiToggled(bool checked);
		void hsBrightnessChanged(int value);
		void hsBatteryCLChanged(int value);
		void iconActivated(QSystemTrayIcon::ActivationReason reason);
		void showHideWindow();
		void showAbout();
		void restoreClicked();
		void opacityClicked();

	private:
		Ui::frmCompal ui;
		QSystemTrayIcon *trayIcon;
		QMenu *trayIconMenu;
		
		QAction *showAction, *restoreAction, *opacityAction, *aboutAction, *quitAction;
		QTimer *updateTimer;
		
		void keyPressEvent(QKeyEvent *event);
		void paintEvent(QPaintEvent *event);
		
		CompalLaptop compal;
		bool inited;
		
	signals:
		
		void toolTipChange(const QString &);
		
};

const QPoint borderPoints[8] = {
	QPoint(2,0), QPoint(347,0), QPoint(349, 2), QPoint(349, 107),
	QPoint(347, 109), QPoint(2, 109), QPoint(0, 107), QPoint(0, 2)
};

#endif
