/* Compal Laptop Control
 * Author: Krzemin <pkrzemin@o2.pl>
 * WWW: http://krzemin.iglu.cz
 * This software is distributed under the GNU General Public License.
 */

#include <QApplication>
#include <QMessageBox>
#include <QSystemTrayIcon>
#include <QObject>
#include <QTranslator>
#include <QLocale>
#include "frmcompal.h"
#include "compal.h"

#ifndef TRANSLATIONS_DIR
#define TRANSLATIONS_DIR "/usr/share/compal-laptop-control"
#endif

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	
	QTranslator appTranslator;
	if(appTranslator.load(QString("locale_%1").arg(QLocale::system().name().left(2)), TRANSLATIONS_DIR))
	{
		app.installTranslator(&appTranslator);
	}
	
	bool hasTray = QSystemTrayIcon::isSystemTrayAvailable();
	frmCompal main(0, (hasTray ? (Qt::Popup) : (Qt::WFlags)0));
	
	if(!main.properlyInited())
	{
		return 1;
	}
		
	hasTray ? main.createTrayIcon() : main.show();
	
	return app.exec();
}
